| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::AnimationStateControllerValue Class Reference
Core » Animation

ControllerValue wrapper class for AnimationState. More...

`#include <OgreAnimationState.h>`

Inheritance diagram for Ogre::AnimationStateControllerValue:
[legend]

## Public Member Functions
| AnimationStateControllerValue (AnimationState *targetAnimationState)
| Constructor, pass in the target animation state. More...
Real | getValue (void) const
| ControllerValue implementation. More...
void | setValue (Real value)
| ControllerValue implementation. More...

## Detailed Description

ControllerValue wrapper class for AnimationState.

Remarks
  In Azathoth and earlier, AnimationState was a ControllerValue but this actually causes memory problems since Controllers delete their values automatically when there are no further references to them, but AnimationState is deleted explicitly elsewhere so this causes double-free problems. This wrapper acts as a bridge and it is this which is destroyed automatically.

## Constructor & Destructor Documentation

## ◆ AnimationStateControllerValue()

Ogre::AnimationStateControllerValue::AnimationStateControllerValue | ( | AnimationState * | targetAnimationState | ) |
| inline

Constructor, pass in the target animation state.

## Member Function Documentation

## ◆ getValue()

Real Ogre::AnimationStateControllerValue::getValue | ( | void |  | ) | const
| inline virtual

ControllerValue implementation.

Implements Ogre::ControllerValue< Real >.

References Ogre::AnimationState::getLength(), and Ogre::AnimationState::getTimePosition().

## ◆ setValue()

void Ogre::AnimationStateControllerValue::setValue | ( | Real | value | ) |
| inline virtual

ControllerValue implementation.

Implements Ogre::ControllerValue< Real >.

References Ogre::AnimationState::getLength(), and Ogre::AnimationState::setTimePosition().

The documentation for this class was generated from the following file:

- OgreAnimationState.h